#!/bin/sh -

# This shell script uses a commented list of images to make a 
# commented html table including them. Jenik Hollan, June 2002

# preparation of another sed script to modify the index.htm:
sed '
# discarding ev. trailing blanks:
s/[[:blank:]]*$//

# prologue for the heading:
1{i\
1i\\\
<H1>\\
}

# heading itself:
1,/^/{
s/$/\\/
s@^[[:blank:]]*\\$@</H1>@
}

# finding the commented image, whose line should end by "jpg:":
/\.jpg:/{ 
s@\(.*\)\(im[[:alnum:]]*\.jpg\)@/ \2/{ s/<td>/<br>/\
i\\\
<td>@
s/://
 }


# inserting the commentary, which has to end by ":" on a separate line:
/\.jpg\//,/^[[:blank:]]*:[[:blank:]]*$/{
 s/$/\\/
 s/^\\$/\\\
<P>\\/
# s/^$/\\/
 s/^[[:blank:]]*:[[:blank:]]*\\/\
 }/
}

# discarding the non-commented images:
/\.jpg$/d

' listen.txt > listmod.sed

# modifying the index.htm by the script generated above:

#rm list.old.htm
#if [ ! -f list.old.htm ]
# then
# mv list.en.htm list.en.old.htm
 sed -f listmod.sed list.htm >list.en.htm
#fi

cd fit
#rm index.old.en.htm
#if [ ! -f index.old.htm ]
# then
# mv index.en.htm index.old.htm
 sed -f ../listmod.sed index.htm >index.en.htm
#fi

cd third
#rm index.old.en.htm
#if [ ! -f index.old.htm ]
# then
# mv index.en.htm index.old.htm
 sed -f ../../listmod.sed index.htm >index.en.htm
#fi

cd ../..
